// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: under_review.sql

package queries

import (
	"context"

	"github.com/gofrs/uuid"
	"github.com/jackc/pgx/v5/pgtype"
)

const setRecordsUnderReview = `-- name: SetRecordsUnderReview :exec

UPDATE auditlog.records
SET under_review_at = $1
WHERE id = ANY($2::uuid[])
`

type SetRecordsUnderReviewParams struct {
	UnderReviewAt pgtype.Timestamptz
	Ids           []uuid.UUID
}

// Copyright © VNG Realisatie 2023
// Licensed under the EUPL
func (q *Queries) SetRecordsUnderReview(ctx context.Context, arg *SetRecordsUnderReviewParams) error {
	_, err := q.db.Exec(ctx, setRecordsUnderReview, arg.UnderReviewAt, arg.Ids)
	return err
}

const unsetRecordsUnderReview = `-- name: UnsetRecordsUnderReview :exec
UPDATE auditlog.records
SET under_review_at = NULL
WHERE id = ANY($1::uuid[])
`

func (q *Queries) UnsetRecordsUnderReview(ctx context.Context, ids []uuid.UUID) error {
	_, err := q.db.Exec(ctx, unsetRecordsUnderReview, ids)
	return err
}
